> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Authenticated] React to a post (toggle)



## OpenAPI

````yaml /openapi/tenant.json post /api/v2/community/posts/{postId}/reactions
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/community/posts/{postId}/reactions:
    post:
      tags:
        - Reaction
      summary: '[Authenticated] React to a post (toggle)'
      operationId: ReactToPost
      parameters:
        - name: postId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Community.Post.Application.Requests.Authenticated.ReactToPost.ReactToPostEndpointBody
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Community.Post.Application.Requests.Authenticated.ReactToPost.ReactToPostEndpointBody:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/Cativa.Community.Post.Domain.Enums.EReactionType
      additionalProperties: false
    Cativa.Community.Post.Domain.Enums.EReactionType:
      enum:
        - 0
        - 1
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````